收藏
回答

正式版本报page not found.May be caus,体验版本正常运行

体验版本,能正常运行。使用该体验版本提交发布正式版本,有些页面模块丢失了。

正式版本报错

最后一次编辑于  2018-12-07  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

3 个回答

  • 是柿子啊
    是柿子啊
    2018-12-07

    看下你的app.json以及页面目录

    2018-12-07
    赞同
    回复 12
    • 秋子
      秋子
      2018-12-07

      代码片段https://developers.weixin.qq.com/s/wEDzVtm37D4q

      2018-12-07
      回复
    • 秋子
      秋子
      2018-12-07回复秋子

      目录结构

      2018-12-07
      回复
    • 秋子
      秋子
      2018-12-07回复秋子

      之前发的版本都是没有问题的,后面是新增了vip的模块,就有问题了。

      2018-12-07
      回复
    • 是柿子啊
      是柿子啊
      2018-12-07回复秋子

      旧版本可以?现在的版本号是?

      2018-12-07
      回复
    • 秋子
      秋子
      2018-12-07回复是柿子啊

      嗯嗯,之前的版本的可以的,以为是代码压缩问题,所以又重新提交审核一次 ,体验版本都可以,就是正式版本不行。现在的版本号是1.35

      2018-12-07
      回复
    查看更多(7)
  • 秋子
    秋子
    2018-12-07

    求官方人员帮忙看看怎么回事~~

    2018-12-07
    赞同 1
    回复 2
    • 秋子
      秋子
      2018-12-07

      正式版本报错:Forgot to add page route in app.json invoking Paget() in async task ,

      体验版本是正常的。

      2018-12-07
      回复
    • 秋子
      秋子
      2018-12-07

      请问体验版本和正式版本的代码不一样吗?

      2018-12-07
      回复
  • yifangts
    yifangts
    2018-12-07

    我曾经遇到过这种问题,之前以为是页面太多,Page()方法执行不过来,后来才发现是有部分页面的page()方法外面有调用方法,调用的方法里面使用了部分官方不支持的es6的api,这个es6的api是不会es6转es5的

    出现这个错误的,不一定是微信版本过低,可能是ios版本或者安卓版本过低;

    我的问题是使用String.padStart  ,这个api需要在IOS 10里面才支持,然后遇到这个问题是iPhone  版本是iOS 9

    2018-12-07
    赞同
    回复 3
    • 秋子
      秋子
      2018-12-07

      只是我们体验都没有问题的,同一个设备,同一份代码。

      2018-12-07
      回复
    • yifangts
      yifangts
      2018-12-07回复秋子

      试试将vip模块的路由放在app.json里面pages数组的前面   看看有没有问题

      觉得是vip模块的页面里面有部分page()方法外面定义的方法或者变量有问题,导致了page()方法初始化失败,

      2018-12-07
      回复
    • 秋子
      秋子
      2018-12-07回复yifangts

      可是原本有shopcart 也没办法打开。其他都可以

      2018-12-07
      回复